org.apache.olingo.odata2.api.uri

## Interface UriInfo

- All Superinterfaces:
    DeleteUriInfo, GetComplexPropertyUriInfo, GetEntityCountUriInfo, GetEntityLinkCountUriInfo, GetEntityLinkUriInfo, GetEntitySetCountUriInfo, GetEntitySetLinksCountUriInfo, GetEntitySetLinksUriInfo, GetEntitySetUriInfo, GetEntityUriInfo, GetFunctionImportUriInfo, GetMediaResourceUriInfo, GetMetadataUriInfo, GetServiceDocumentUriInfo, GetSimplePropertyUriInfo, PostUriInfo, PutMergePatchUriInfo

      public interface UriInfo
      extends GetServiceDocumentUriInfo, GetEntitySetUriInfo, GetEntityUriInfo, GetComplexPropertyUriInfo, GetSimplePropertyUriInfo, GetEntityLinkUriInfo, GetEntitySetLinksUriInfo, GetMetadataUriInfo, GetFunctionImportUriInfo, GetEntitySetCountUriInfo, GetEntityCountUriInfo, GetMediaResourceUriInfo, GetEntityLinkCountUriInfo, GetEntitySetLinksCountUriInfo, PutMergePatchUriInfo, PostUriInfo, DeleteUriInfo

  Structured parts of the request URI - the result of URI parsing.
  See Also:
    `UriParser`
  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getCustomQueryOptions()` Gets the custom query options as Map from option names to their corresponding String values, or an empty list if no custom query options are given in the URI.
    `EdmEntityContainer` | `getEntityContainer()` Gets the target entity container.
    `List<ArrayList<NavigationPropertySegment>>` | `getExpand()` Gets the value of the $expand system query option as a list of lists of navigation-property segments, or an empty list if not used.
    `FilterExpression` | `getFilter()` Gets the value of the $filter system query option as root object of the expression tree built during URI parsing.
    `String` | `getFormat()` Gets the value of the $format system query option.
    `EdmFunctionImport` | `getFunctionImport()` Gets the function import.
    `Map<String,EdmLiteral>` | `getFunctionImportParameters()` Gets the parameters of a function import as Map from parameter names to their corresponding typed values, or an empty list if no function import is used or no parameters are given in the URI.
    `InlineCount` | `getInlineCount()` Gets the value of the $inlinecount system query option.
    `List<KeyPredicate>` | `getKeyPredicates()` Gets the key predicates used to select a single entity out of the start entity set, or an empty list if not used.
    `List<NavigationSegment>` | `getNavigationSegments()` Gets the navigation segments, or an empty list if no navigation has been used.
    `OrderByExpression` | `getOrderBy()` Gets the value of the $orderby system query option as root object of the expression tree built during URI parsing.
    `List<EdmProperty>` | `getPropertyPath()` Gets the path used to select a (simple or complex) property of an entity, or an empty list if no property is accessed.
    `List<SelectItem>` | `getSelect()` Gets the value of the $select system query option as a list of select items, or an empty list if not used.
    `Integer` | `getSkip()` Gets the value of the $skip system query option.
    `String` | `getSkipToken()` Gets the value of the $skiptoken system query option.
    `EdmEntitySet` | `getStartEntitySet()` Gets the start entity set - identical to the target entity set if no navigation has been used.
    `EdmEntitySet` | `getTargetEntitySet()` Gets the target entity set after navigation.
    `List<KeyPredicate>` | `getTargetKeyPredicates()` Gets the key predicates used to select a single entity out of the target entity set, or an empty list if not used - identical to the key predicates from the last entry retrieved from `getNavigationSegments()` or, if no navigation has been used, to the result of `getKeyPredicates()`.
    `EdmType` | `getTargetType()` Gets the target type of the request: an entity type, a simple type, or a complex type.
    `Integer` | `getTop()` Gets the value of the $top system query option.
    `boolean` | `isCount()` Determines whether $count has been used in the request URI.
    `boolean` | `isLinks()` Determines whether $links has been used in the request URI.
    `boolean` | `isValue()` Determines whether $value has been used in the request URI.

- - ### Method Detail

    - #### getEntityContainer

          EdmEntityContainer getEntityContainer()

      Gets the target entity container.
      Specified by:
        `getEntityContainer` in interface `DeleteUriInfo`
      Specified by:
        `getEntityContainer` in interface `GetComplexPropertyUriInfo`
      Specified by:
        `getEntityContainer` in interface `GetEntityCountUriInfo`
      Specified by:
        `getEntityContainer` in interface `GetEntityLinkCountUriInfo`
      Specified by:
        `getEntityContainer` in interface `GetEntityLinkUriInfo`
      Specified by:
        `getEntityContainer` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `getEntityContainer` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `getEntityContainer` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getEntityContainer` in interface `GetEntitySetUriInfo`
      Specified by:
        `getEntityContainer` in interface `GetEntityUriInfo`
      Specified by:
        `getEntityContainer` in interface `GetMediaResourceUriInfo`
      Specified by:
        `getEntityContainer` in interface `GetSimplePropertyUriInfo`
      Specified by:
        `getEntityContainer` in interface `PostUriInfo`
      Specified by:
        `getEntityContainer` in interface `PutMergePatchUriInfo`
      Returns:
        `EdmEntityContainer` the target entity container

    - #### getStartEntitySet

          EdmEntitySet getStartEntitySet()

      Gets the start entity set - identical to the target entity set if no navigation has been used.
      Specified by:
        `getStartEntitySet` in interface `DeleteUriInfo`
      Specified by:
        `getStartEntitySet` in interface `GetComplexPropertyUriInfo`
      Specified by:
        `getStartEntitySet` in interface `GetEntityCountUriInfo`
      Specified by:
        `getStartEntitySet` in interface `GetEntityLinkCountUriInfo`
      Specified by:
        `getStartEntitySet` in interface `GetEntityLinkUriInfo`
      Specified by:
        `getStartEntitySet` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `getStartEntitySet` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `getStartEntitySet` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getStartEntitySet` in interface `GetEntitySetUriInfo`
      Specified by:
        `getStartEntitySet` in interface `GetEntityUriInfo`
      Specified by:
        `getStartEntitySet` in interface `GetMediaResourceUriInfo`
      Specified by:
        `getStartEntitySet` in interface `GetSimplePropertyUriInfo`
      Specified by:
        `getStartEntitySet` in interface `PostUriInfo`
      Specified by:
        `getStartEntitySet` in interface `PutMergePatchUriInfo`
      Returns:
        `EdmEntitySet`

    - #### getTargetEntitySet

          EdmEntitySet getTargetEntitySet()

      Gets the target entity set after navigation.
      Specified by:
        `getTargetEntitySet` in interface `DeleteUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `GetComplexPropertyUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `GetEntityCountUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `GetEntityLinkCountUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `GetEntityLinkUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `GetEntitySetUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `GetEntityUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `GetMediaResourceUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `GetSimplePropertyUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `PostUriInfo`
      Specified by:
        `getTargetEntitySet` in interface `PutMergePatchUriInfo`
      Returns:
        `EdmEntitySet` target entity set

    - #### getFunctionImport

          EdmFunctionImport getFunctionImport()

      Gets the function import.
      Specified by:
        `getFunctionImport` in interface `DeleteUriInfo`
      Specified by:
        `getFunctionImport` in interface `GetComplexPropertyUriInfo`
      Specified by:
        `getFunctionImport` in interface `GetEntityCountUriInfo`
      Specified by:
        `getFunctionImport` in interface `GetEntityLinkCountUriInfo`
      Specified by:
        `getFunctionImport` in interface `GetEntityLinkUriInfo`
      Specified by:
        `getFunctionImport` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `getFunctionImport` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `getFunctionImport` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getFunctionImport` in interface `GetEntitySetUriInfo`
      Specified by:
        `getFunctionImport` in interface `GetEntityUriInfo`
      Specified by:
        `getFunctionImport` in interface `GetFunctionImportUriInfo`
      Specified by:
        `getFunctionImport` in interface `GetMediaResourceUriInfo`
      Specified by:
        `getFunctionImport` in interface `GetSimplePropertyUriInfo`
      Specified by:
        `getFunctionImport` in interface `PostUriInfo`
      Specified by:
        `getFunctionImport` in interface `PutMergePatchUriInfo`
      Returns:
        `EdmFunctionImport` the function import

    - #### getTargetType

          EdmType getTargetType()

      Gets the target type of the request: an entity type, a simple type, or a complex type.
      Specified by:
        `getTargetType` in interface `DeleteUriInfo`
      Specified by:
        `getTargetType` in interface `GetComplexPropertyUriInfo`
      Specified by:
        `getTargetType` in interface `GetEntityCountUriInfo`
      Specified by:
        `getTargetType` in interface `GetEntityLinkCountUriInfo`
      Specified by:
        `getTargetType` in interface `GetEntityLinkUriInfo`
      Specified by:
        `getTargetType` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `getTargetType` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `getTargetType` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getTargetType` in interface `GetEntitySetUriInfo`
      Specified by:
        `getTargetType` in interface `GetEntityUriInfo`
      Specified by:
        `getTargetType` in interface `GetMediaResourceUriInfo`
      Specified by:
        `getTargetType` in interface `GetSimplePropertyUriInfo`
      Specified by:
        `getTargetType` in interface `PostUriInfo`
      Specified by:
        `getTargetType` in interface `PutMergePatchUriInfo`
      Returns:
        `EdmType` the target type

    - #### getKeyPredicates

          List<KeyPredicate> getKeyPredicates()

      Gets the key predicates used to select a single entity out of the start entity set, or an empty list if not used.
      Specified by:
        `getKeyPredicates` in interface `DeleteUriInfo`
      Specified by:
        `getKeyPredicates` in interface `GetComplexPropertyUriInfo`
      Specified by:
        `getKeyPredicates` in interface `GetEntityCountUriInfo`
      Specified by:
        `getKeyPredicates` in interface `GetEntityLinkCountUriInfo`
      Specified by:
        `getKeyPredicates` in interface `GetEntityLinkUriInfo`
      Specified by:
        `getKeyPredicates` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `getKeyPredicates` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `getKeyPredicates` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getKeyPredicates` in interface `GetEntitySetUriInfo`
      Specified by:
        `getKeyPredicates` in interface `GetEntityUriInfo`
      Specified by:
        `getKeyPredicates` in interface `GetMediaResourceUriInfo`
      Specified by:
        `getKeyPredicates` in interface `GetSimplePropertyUriInfo`
      Specified by:
        `getKeyPredicates` in interface `PostUriInfo`
      Specified by:
        `getKeyPredicates` in interface `PutMergePatchUriInfo`
      Returns:
        List of `KeyPredicate`
      See Also:
        `getStartEntitySet()`

    - #### getTargetKeyPredicates

          List<KeyPredicate> getTargetKeyPredicates()

      Gets the key predicates used to select a single entity out of the target entity set, or an empty list if not used - identical to the key predicates from the last entry retrieved from `getNavigationSegments()` or, if no navigation has been used, to the result of `getKeyPredicates()`.
      Specified by:
        `getTargetKeyPredicates` in interface `DeleteUriInfo`
      Specified by:
        `getTargetKeyPredicates` in interface `GetComplexPropertyUriInfo`
      Specified by:
        `getTargetKeyPredicates` in interface `GetEntityCountUriInfo`
      Specified by:
        `getTargetKeyPredicates` in interface `GetEntityLinkCountUriInfo`
      Specified by:
        `getTargetKeyPredicates` in interface `GetEntityLinkUriInfo`
      Specified by:
        `getTargetKeyPredicates` in interface `GetEntityUriInfo`
      Specified by:
        `getTargetKeyPredicates` in interface `GetMediaResourceUriInfo`
      Specified by:
        `getTargetKeyPredicates` in interface `GetSimplePropertyUriInfo`
      Specified by:
        `getTargetKeyPredicates` in interface `PutMergePatchUriInfo`
      Returns:
        List of `KeyPredicate`
      See Also:
        `getTargetEntitySet()`

    - #### getNavigationSegments

          List<NavigationSegment> getNavigationSegments()

      Gets the navigation segments, or an empty list if no navigation has been used.
      Specified by:
        `getNavigationSegments` in interface `DeleteUriInfo`
      Specified by:
        `getNavigationSegments` in interface `GetComplexPropertyUriInfo`
      Specified by:
        `getNavigationSegments` in interface `GetEntityCountUriInfo`
      Specified by:
        `getNavigationSegments` in interface `GetEntityLinkCountUriInfo`
      Specified by:
        `getNavigationSegments` in interface `GetEntityLinkUriInfo`
      Specified by:
        `getNavigationSegments` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `getNavigationSegments` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `getNavigationSegments` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getNavigationSegments` in interface `GetEntitySetUriInfo`
      Specified by:
        `getNavigationSegments` in interface `GetEntityUriInfo`
      Specified by:
        `getNavigationSegments` in interface `GetMediaResourceUriInfo`
      Specified by:
        `getNavigationSegments` in interface `GetSimplePropertyUriInfo`
      Specified by:
        `getNavigationSegments` in interface `PostUriInfo`
      Specified by:
        `getNavigationSegments` in interface `PutMergePatchUriInfo`
      Returns:
        List of `NavigationSegment`

    - #### getPropertyPath

          List<EdmProperty> getPropertyPath()

      Gets the path used to select a (simple or complex) property of an entity, or an empty list if no property is accessed.
      Specified by:
        `getPropertyPath` in interface `DeleteUriInfo`
      Specified by:
        `getPropertyPath` in interface `GetComplexPropertyUriInfo`
      Specified by:
        `getPropertyPath` in interface `GetSimplePropertyUriInfo`
      Specified by:
        `getPropertyPath` in interface `PutMergePatchUriInfo`
      Returns:
        List of `EdmProperty`

    - #### isCount

          boolean isCount()

      Determines whether $count has been used in the request URI.
      Specified by:
        `isCount` in interface `GetEntityCountUriInfo`
      Specified by:
        `isCount` in interface `GetEntityLinkCountUriInfo`
      Specified by:
        `isCount` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `isCount` in interface `GetEntitySetLinksCountUriInfo`
      Returns:
        whether $count has been used

    - #### isValue

          boolean isValue()

      Determines whether $value has been used in the request URI.
      Specified by:
        `isValue` in interface `GetSimplePropertyUriInfo`
      Returns:
        whether $value has been used

    - #### isLinks

          boolean isLinks()

      Determines whether $links has been used in the request URI.
      Specified by:
        `isLinks` in interface `GetEntityLinkCountUriInfo`
      Specified by:
        `isLinks` in interface `GetEntityLinkUriInfo`
      Specified by:
        `isLinks` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `isLinks` in interface `GetEntitySetLinksUriInfo`
      Returns:
        whether $links has been used

    - #### getFormat

          String getFormat()

      Gets the value of the $format system query option.
      Specified by:
        `getFormat` in interface `GetComplexPropertyUriInfo`
      Specified by:
        `getFormat` in interface `GetEntityLinkUriInfo`
      Specified by:
        `getFormat` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getFormat` in interface `GetEntitySetUriInfo`
      Specified by:
        `getFormat` in interface `GetEntityUriInfo`
      Specified by:
        `getFormat` in interface `GetFunctionImportUriInfo`
      Specified by:
        `getFormat` in interface `GetMediaResourceUriInfo`
      Specified by:
        `getFormat` in interface `GetServiceDocumentUriInfo`
      Specified by:
        `getFormat` in interface `GetSimplePropertyUriInfo`
      Returns:
        the format (as set as `$format` query parameter) or null

    - #### getFilter

          FilterExpression getFilter()

      Gets the value of the $filter system query option as root object of the expression tree built during URI parsing.
      Specified by:
        `getFilter` in interface `GetEntityCountUriInfo`
      Specified by:
        `getFilter` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `getFilter` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `getFilter` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getFilter` in interface `GetEntitySetUriInfo`
      Specified by:
        `getFilter` in interface `GetEntityUriInfo`
      Specified by:
        `getFilter` in interface `GetMediaResourceUriInfo`
      Specified by:
        `getFilter` in interface `PutMergePatchUriInfo`
      Returns:
        the filter expression or null

    - #### getInlineCount

          InlineCount getInlineCount()

      Gets the value of the $inlinecount system query option.
      Specified by:
        `getInlineCount` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getInlineCount` in interface `GetEntitySetUriInfo`
      Specified by:
        `getInlineCount` in interface `GetFunctionImportUriInfo`
      Returns:
        `InlineCount` the inline count or null

    - #### getOrderBy

          OrderByExpression getOrderBy()

      Gets the value of the $orderby system query option as root object of the expression tree built during URI parsing.
      Specified by:
        `getOrderBy` in interface `GetEntitySetUriInfo`
      Returns:
        the order-by expression or null

    - #### getSkipToken

          String getSkipToken()

      Gets the value of the $skiptoken system query option.
      Specified by:
        `getSkipToken` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getSkipToken` in interface `GetEntitySetUriInfo`
      Returns:
        skip token or null

    - #### getSkip

          Integer getSkip()

      Gets the value of the $skip system query option.
      Specified by:
        `getSkip` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `getSkip` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `getSkip` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getSkip` in interface `GetEntitySetUriInfo`
      Returns:
        skip or null

    - #### getTop

          Integer getTop()

      Gets the value of the $top system query option.
      Specified by:
        `getTop` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `getTop` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `getTop` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getTop` in interface `GetEntitySetUriInfo`
      Returns:
        top or null

    - #### getExpand

          List<ArrayList<NavigationPropertySegment>> getExpand()

      Gets the value of the $expand system query option as a list of lists of navigation-property segments, or an empty list if not used.
      Specified by:
        `getExpand` in interface `GetEntitySetUriInfo`
      Specified by:
        `getExpand` in interface `GetEntityUriInfo`
      Specified by:
        `getExpand` in interface `GetFunctionImportUriInfo`
      Returns:
        List of a list of `NavigationPropertySegment` to be expanded

    - #### getSelect

          List<SelectItem> getSelect()

      Gets the value of the $select system query option as a list of select items, or an empty list if not used.
      Specified by:
        `getSelect` in interface `GetEntitySetUriInfo`
      Specified by:
        `getSelect` in interface `GetEntityUriInfo`
      Specified by:
        `getSelect` in interface `GetFunctionImportUriInfo`
      Returns:
        List of `SelectItem` to be selected

    - #### getFunctionImportParameters

          Map<String,EdmLiteral> getFunctionImportParameters()

      Gets the parameters of a function import as Map from parameter names to their corresponding typed values, or an empty list if no function import is used or no parameters are given in the URI.
      Specified by:
        `getFunctionImportParameters` in interface `DeleteUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `GetComplexPropertyUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `GetEntityCountUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `GetEntityLinkCountUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `GetEntityLinkUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `GetEntitySetUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `GetEntityUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `GetFunctionImportUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `GetMediaResourceUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `GetSimplePropertyUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `PostUriInfo`
      Specified by:
        `getFunctionImportParameters` in interface `PutMergePatchUriInfo`
      Returns:
        Map of <String, `EdmLiteral`> function import parameters

    - #### getCustomQueryOptions

          Map<String,String> getCustomQueryOptions()

      Gets the custom query options as Map from option names to their corresponding String values, or an empty list if no custom query options are given in the URI.
      Specified by:
        `getCustomQueryOptions` in interface `DeleteUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetComplexPropertyUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetEntityCountUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetEntityLinkCountUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetEntityLinkUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetEntitySetCountUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetEntitySetLinksCountUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetEntitySetLinksUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetEntitySetUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetEntityUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetFunctionImportUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetMediaResourceUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetMetadataUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetServiceDocumentUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `GetSimplePropertyUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `PostUriInfo`
      Specified by:
        `getCustomQueryOptions` in interface `PutMergePatchUriInfo`
      Returns:
        Map of <String, String> custom query options

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.